/* See LICENSE file for copyright and license details. */

#include <stdio.h>
#include <stdlib.h>

#include "../headers/file.h"
#include "../headers/neural_net.h"
#include "../headers/training.h"

#define N 100000

int
main(int argc, char *argv[])
{
	NeuralNet *n = new_neural_net(argv[1], argv[2]);

	train_by_backpropagation(n, N, 1, argv[2], argv[3]);

	free_neural_net(n);

	return EXIT_SUCCESS;
}
