/* See LICENSE file for copyright and license details. */

#ifndef _file_h_
#define _file_h_

typedef struct {
	FILE *file;
	char *file_name;
} File;

File *new_file(char *file_name);
void free_file(File *f);
double get_entry(File *f, int row, int col, char sep);
int get_columns_num(File *f, int row, char sep);
int get_rows_num(File *f);

#endif
